#!/bin/bash

RED='\e[1;31m'
GREEN='\e[1;32m'
YELLOW='\e[1;33m' 
BLUE='\e[1;34m'
NC='\e[0m'  

user=$(whoami)
echo -e "Welcome, ${BLUE}$user${NC}. Please enjoy this short presentation! "

read -p "Please enter a number:" num
if ((num % 2 == 0)) 
then
    echo "$num is even"

else
    echo "$num is odd"
    
fi

attempts=3
for ((i = 0; i < 3; i++, --attempts)) 
do
read -p "You have $attempts attempts left to find the secret recipe, so please enter another number between 1 and 10: " num2
secret=1

if ((num2 == secret))
then
    i=3
    echo -e "${GREEN}You have found the secret recipe of Coca Cola!! ^_^${NC}"

else 
    echo -e "${YELLOW}You were so close to finding the secret recipe :(${NC}"

fi


done

echo -e "${BLUE}Let's try something else. Please answer with a *yes* or *no*.${NC}"
yes=0
no=1

for ((j = 0; j <= 2; ++j)) 
do

if ((j == 0)) 
then
    read -p "Are there any fish with legs?: " Answer
    if ((Answer == 0))
    then
        echo -e "${GREEN}Your answer is correct! Mudskippers are the champions of land-walking fish, but we also have the Lungfish, Walking Catfish, Sea Robins, Frogfish or Handifsh.${NC} Visit: https://factanimal.com/wp-content/uploads/2023/07/mudskipper-breathing.jpg"
    else
        echo -e "${RED}Your answer is not correct, but don't worry, you are not the only one :D.${NC} Visit: https://encrypted-tbn0.gstatic.com/licensed-image?q=tbn:ANd9GcR9laMdCqTkfxW005yPkIED-dHsWvq3IcjPToZi130LpKQVlS5JT9W6u-w2ZMCa7JdDPYXUoqwQKakceVaUotuOA6_RCZF1wSfl2Mvoau2PUKen-0U"
    fi
elif ((j == 1))
then
    read -p "Are there any animals with no toes?: " Answer
    if ((Answer != 0))
    then
        echo -e "${GREEN}Your answer is correct! Horses are commonly known for having just a toe under their hooves, but one toe is still more than none!${NC} Visit: https://i.chzbgr.com/full/10509587456/h1B5A4D29/this-actually-is-my-first-rodeo"
    else
       echo -e "${RED}Your answer is not correct. There is no animal without any toes. Hooves are modified toenails covering the tips of toes.${NC} Visit: https://cdn.britannica.com/28/85428-050-40FEA973/Hoof-horse.jpg"
    fi 
else 
    read -p "Is the blue whale the heaviest animal on this planet?: " Answer
    if ((Answer == 0))
    then
        echo -e "${GREEN}Your answer is correct! The second heaviest animal ever to have existed on Earth is the fin whale (Balaenoptera physalus), with some historical estimates reaching up to 130 tons.${NC} Visit: https://www.reddit.com/media?url=https%3A%2F%2Fexternal-preview.redd.it%2FU7IzglHNEVnaT_F58bDjHwB8WqMZDyRNeujcpLqP25s.jpg%3Fwidth%3D1080%26crop%3Dsmart%26auto%3Dwebp%26s%3Df77ae8f9652158dd102218fbb58e1bf665b5a1ab"
    else
        echo -e "${RED}Your answer is not correct. Blue whales are widely regarded as the heaviest animals to have ever existed on Earth, with recorded weights up to 190 - 200 tons.${NC} Visit: https://familylifetips.com/wp-content/uploads/2021/07/Whale-Meme-Whale-Hello-There-Family-Life-Tips-Magazine.jpg"
    fi 
fi
done



